Changes between Version 48 and Version 49 of WrapperApp


Ignore:
Timestamp:
03/14/11 10:26:45 (4 years ago)
Author:
davea
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • WrapperApp

    v48 v49  
    2626{{{ 
    2727<job_desc> 
    28     [ <parallel/> ] 
    2928    <task> 
    3029        <application>worker</application> 
     
    4645  
    4746The job file describes a sequence of tasks. 
    48 Include the '''<parallel/>''' element if any of the tasks is multi-threaded 
    49 (see [AppMultiThread Multi-Thread Apps]). 
    5047The descriptor for each task includes: 
    5148 
     
    6865 '''setenv''':: Environmental variable needed for the applications run-time environment - you can have more than one <setenv> entry, use the VARNAME=VAR_VALUE form, e.g. LD_LIBRARY_PATH=$PROJECT_DIR:$LD_LIBRARY_PATH 
    6966 '''daemon''':: Denotes that this task is a 'daemon' process that should run in the background asynchronously while the other tasks are run sequentially.  The wrapper will shut down this daemon when the last task has exited 
    70  '''append_cmdline_args''':: if set, the wrapper's command-line arguments (specified in the [WorkGeneration#templates input template]) are passed to the program, after those in <command_line>. 
     67 '''append_cmdline_args''':: if set, the wrapper's command-line arguments (specified in the [WorkGeneration#templates input template]) are passed to the worker program, after those in <command_line>. 
    7168 
    7269The job file can specify multiple tasks. 
     
    7774 
    7875Notes: 
    79  
     76 * One or more of the tasks may be [AppMultiThread multi-threaded] and/or [AppCoprocessor use GPUs].  
    8077 * Normally the job file is part of the application version (it's the same between workunits).  Alternatively, it can be part of the workunit (e.g. if its command line elements differ between workunits).  This requires that you use the same worker program logical names for all platforms. 
    8178 * Files opened directly by a worker program must have the <copy_file/> tag. This requires version 5.5 or higher of the BOINC core client (you can specify this limit at either the [AppVersion application] or [ProjectOptions#Clientcontrol project] level.